%define _ver 0.50

Name: qtcurve
Version: %_ver
Release: alt4

Group: Graphical desktop/Other
Summary: QtCurve (KDE and GTK2 style)
License: GPL
Url: http://www.kde-look.org/content/show.php?content=40492

Source0: QtCurve-KDE3-%_ver.tar.gz
Source1: QtCurve-Gtk2-%_ver.tar.gz

Patch0: QtCurve-Gtk2-0.49-alt-x86-64.patch
Patch1: QtCurve-Gtk2-0.50-alt-qtrc.patch
Patch2: QtCurve-Gtk2-0.50-alt-icons.patch
Patch3: QtCurve-Gtk2-0.50-alt-icons-size.patch

Packager: Valery Inozemtsev <shrek@altlinux.ru>

# Automatically added by buildreq on Thu Jul 20 2006
BuildRequires: fontconfig gcc-c++ kdelibs-devel libXext-devel libXt-devel
BuildRequires: libgtk+2-devel libjpeg-devel libpng-devel qt3-designer xml-utils

%description
This is a set of widget styles for KDE and GTK2 based apps.
The underlying code is based upon Blue/FreeCurve - however,
*extensive* modifications have been made.

%package -n kde-styles-%name
Group: Graphical desktop/KDE
Summary: QtCurve style for KDE

%description -n kde-styles-%name
This is a set of widget styles for KDE

%package -n gtk2-themes-%name
Summary: The QtCurve engine for GTK2
Group: Graphical desktop/GNOME
Provides: gtk-engines-%name
Obsoletes: gtk-engines-%name < %version-%release gtk1-themes-%name < %version-%release

%description -n gtk2-themes-%name
The QtCurve engine for GTK2

%prep
%setup -q -c -a1

%__mv QtCurve-KDE3-* QtCurve-KDE3
%__mv QtCurve-Gtk2-* QtCurve-Gtk2

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
pushd QtCurve-KDE3
%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:
%configure \
    --disable-rpath
%make_build
popd

pushd QtCurve-Gtk2
%__automake
%configure
%make_build
popd

%install
%make -C QtCurve-KDE3 DESTDIR=%buildroot install
%make -C QtCurve-Gtk2 DESTDIR=%buildroot install

%files -n kde-styles-%name
%doc QtCurve-KDE3/ChangeLog
%_libdir/kde3/kstyle_qtcurve_config.so*
%_libdir/kde3/plugins/styles/*.so*
%_datadir/apps/kstyle/themes/*.themerc
%_datadir/apps/QtCurve

%files -n gtk2-themes-%name
%doc QtCurve-Gtk2/ChangeLog
%_libdir/gtk-2.0/*/engines/lib%name.so*
%dir %_datadir/themes/QtCurve
%_datadir/themes/QtCurve/gtk-2.0
%_datadir/themes/QtCurve/mozilla

%changelog
* Wed May 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.50-alt4
- update QtCurve-Gtk2-0.50-alt-qtrc.patch, thanks Sergey V Turchin

* Tue May 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.50-alt3
- set icons size 22 for gtk-dnd and gtk-dialog

* Sun May 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.50-alt2
- fixed default icons path

* Fri May 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.50-alt1
- 0.50:
  1. Add settings for:
     Fill used slider
     Round menubar item top only
     Menuitem appearance
     Border menuitems
     Progressbar appearance
     Gradient progressbar groove
     Use standard buttons for sidebar buttons
     Check/radio colour
     Plastik style mouse-over
  2. Dont colour menubar items on mouse over if not colouring menubars.
  3. When drawing menubar borders, only draw bottom line.
  4. When drawing toolbar borders, only draw top/bottom or left/right - depending upon orientation.
  5. Draw checks/radios within listviews the same as standard.
  6. Use 'foreground' colour for menu text.

* Wed May 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.49-alt1
- 0.49

* Tue May 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.48.5-alt1
- 0.48.5

* Fri Apr 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.48.4-alt1
- 0.48.4

* Fri Feb 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.46.4-alt1
- 0.46.4:
  + KDE:
    1. Only draw gradients if width>0 && height>0
  + Gtk2:
    1. Only draw gradients if width>0 && height>0

* Fri Jan 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.46.3-alt1
- 0.46.3:
  + KDE:
    1. Fix look of flat/raised style menuitems and progressbars.
    2. Fix look of read-only KLineEdits.
  + Gtk2:
    1. Fix look of flat/raised style menuitems and progressbars.
    2. Use pkg-config to obtain Gtk2 libdir.

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.46.2-alt1
- 0.46.2:
  + KDE Only:
    1. Remove rgb2Hls() and hls2Rgb() unless using old style shading.
    2. Don't mouse-over disabled tabs!
    3. Fix look of flat style tabs.
  + Gtk2 Only:
    1. Remove rgb2Hls() and hls2Rgb() unless using old style shading.
    2. Use fileno() to obtain file descriptor of FILE * stream.
    3. Fix look of slider grooves for 'flat' appearance.
    4. Fix appearance of checkboxes for 'bevelled' appearance.

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.46.1-alt1
- 0.46.1

* Wed Nov 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.46-alt1
- 0.46

* Tue Nov 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.45.3-alt2
- KDE Only:
  1. Correctly place check and radio buttons.
  2. Improve drawing of very small progress.

* Thu Nov 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.45.3-alt1
- 0.45.3:
  + Gtk2 Only
    1. When determinging background of popup menu for AA'ing, use shade window colour, not button.
    2. Fix for "-1" warnings reported by some users.

* Mon Nov 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.45.2-alt1
- 0.45.2:
  + KDE Only:
    1. Make kaffeine's sidebar buttons consistent when coloured.
    2. Fix look of dvd authoring wizard buttons.
  + Gtk2 Only
    1. Fix coloured menubars.
    2. Fix firefox 2's "stack smashing detected" errors.
    3. Remove ok/Cancel button swapping from QtCurve.css, does not work for firefox 2.x
  
* Tue Oct 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.45.1-alt1
- 0.45.1:
  + Both:
    1. Restore pre 0.45 inactive window highlight. Option is still there to re-activate.
  + KDE Only:
    1. Fix dark text appearing on progressbars.
    2. Use KStyle to draw status bar elements - if enabled.
  + Gtk2 Only:
    1. Use listview header settings for listview headers!

* Thu Oct 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.45-alt1
- 0.45

* Fri Oct 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.44.3-alt1
- 0.44.3

* Fri Oct 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.44.2-alt1
- 0.44.2

* Wed Oct 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.44.1-alt1
- 0.44.1

* Tue Oct 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.44-alt1
- 0.44

* Sat Sep 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.43.2-alt1
- 0.43.2

* Sun Sep 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.43-alt1
- 0.43

* Sat Sep 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.42.3-alt1
- 0.42.3

* Thu Aug 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.42-alt1
- 0.42

* Tue Aug 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.41.1-alt2
- rebuild

* Sun Aug 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.41.1-alt1
- 0.41.1

* Tue Jul 25 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.40-alt1
- 0.40

* Thu Jul 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.39.1-alt1
- 0.39.1

* Fri Jun 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.38-alt1
- 0.38

* Thu Jun 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.37-alt1
- 0.37

* Thu Jun 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.36-alt1
- 0.36

* Sat May 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.35.1-alt3
- obsolete subpackage gtk-engines-%name
- new subpackages gtk1-themes-%name, gtk2-themes-%name

* Wed Apr 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.35.1-alt2
- fixed build for x86_64

* Sat Apr 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.35.1-alt1
- 0.35.1

* Tue Mar 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.34-alt1
- 0.34

* Thu Feb 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.33-alt1
- 0.33

* Fri Feb 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.31.1-alt1
- 0.31.1

* Mon Feb 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.29.1-alt1
- 0.29.1

* Thu Feb 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.28-alt1
- 0.28

* Fri Jan 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.26-alt1
- 0.26

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.25-alt1
- 0.25

* Thu Jan 12 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.24.2-alt1
- 0.24.2

* Fri May 20 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.23.1-alt1
- 0.23.1

* Fri Jan 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.22-alt1.1
- rebuild with libstdc++.so.6

* Wed May 19 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.22-alt1
- new version

* Thu May 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.21-alt1
- new version

* Thu Apr 22 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.20-alt1
- new version

* Thu Apr 08 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.18-alt2
- rebuild for gtk+2-2.4

* Mon Apr 05 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.18-alt1
- new version

* Tue Mar 30 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.16-alt3
- add qt3 patch

* Wed Mar 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.16-alt2
- rebuild

* Sat Feb 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.16-alt1
- initial release
